Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageCorrelation Class Reference

`#include <vtkImageCorrelation.h>`

Inheritance diagram for vtkImageCorrelation:

[legend]
Collaboration diagram for vtkImageCorrelation:

[legend]
List of all members.

## Detailed Description

Correlation imageof the two inputs.

Date:
  2002/01/22 15:32:13

Revision:
  1.24

vtkImageCorrelation finds the correlation between two data sets. SetDimensionality determines whether the Correlation will be 3D, 2D or 1D. The default is a 2D Correlation. The Output type will be float. The output size will match the size of the first input. The second input is considered the correlation kernel.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Martin, Ken (46%)
  - Law, Charles (39%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageCorrelation.cxx)`
  - .`h` (`/Imaging/vtkImageCorrelation.h)`

Tests:
  vtkImageCorrelation (Tests)

Definition at line 51 of file vtkImageCorrelation.h.

## Public Types
typedef vtkImageTwoInputFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetDimensionality (int)
virtual int | GetDimensionality ()
## Static Public Methods
vtkImageCorrelation * | New ()
int | IsTypeOf (const char *type)
vtkImageCorrelation * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageCorrelation ()
| ~vtkImageCorrelation ()
void | ExecuteInformation (vtkImageData **inDatas, vtkImageData *outData)
virtual void | ComputeInputUpdateExtent (int inExt[6], int outExt[6], int whichInput)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData **inDatas, vtkImageData *outData, int extent[6], int id)
## Protected Attributes
int | Dimensionality

## Member Typedef Documentation

typedef vtkImageTwoInputFilter vtkImageCorrelation::Superclass

| Reimplemented from vtkImageTwoInputFilter. Definition at line 55 of file vtkImageCorrelation.h.

## Constructor & Destructor Documentation

vtkImageCorrelation::vtkImageCorrelation | ( |  | ) | `[protected]`

vtkImageCorrelation::~vtkImageCorrelation | ( |  | ) | `[inline, protected]`

| Definition at line 66 of file vtkImageCorrelation.h.

## Member Function Documentation

vtkImageCorrelation* vtkImageCorrelation::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageCorrelation::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageTwoInputFilter.

int vtkImageCorrelation::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

virtual int vtkImageCorrelation::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageTwoInputFilter.

vtkImageCorrelation* vtkImageCorrelation::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageTwoInputFilter.

void vtkImageCorrelation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageTwoInputFilter.

virtual void vtkImageCorrelation::SetDimensionality | ( | int |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices ...)

virtual int vtkImageCorrelation::GetDimensionality | ( |  | ) | `[virtual]`

| Determines how the input is interpreted (set of 2d slices ...)

void vtkImageCorrelation::ExecuteInformation | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

virtual void vtkImageCorrelation::ComputeInputUpdateExtent | ( | int | inExt[6],
|  | int | outExt[6],
|  | int | whichInput
| ) | `[protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter.

void vtkImageCorrelation::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageMultipleInputFilter. Definition at line 72 of file vtkImageCorrelation.h. References vtkImageMultipleInputFilter::ExecuteInformation().

void vtkImageCorrelation::ThreadedExecute | ( | vtkImageData ** | inDatas,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| The execute method created by the subclass. This is kept public instead of protected since it is called from a non-member thread function. Reimplemented from vtkImageMultipleInputFilter.

## Member Data Documentation

int vtkImageCorrelation::Dimensionality`[protected]`

| Definition at line 68 of file vtkImageCorrelation.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageCorrelation.h